# Uses of Class
org.eclipse.ui.statushandlers.AbstractStatusAreaProvider

Packages that use AbstractStatusAreaProvider
Package
Description
org.eclipse.ui.statushandlers
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of AbstractStatusAreaProvider in org.eclipse.ui.statushandlers

Methods in org.eclipse.ui.statushandlers with parameters of type AbstractStatusAreaProvider
Modifier and Type
Method
Description
`void`
WorkbenchStatusDialogManager.`setDetailsAreaProvider(AbstractStatusAreaProvider provider)`
Sets the details area provider.
`void`
WorkbenchStatusDialogManager.`setSupportAreaProvider(AbstractStatusAreaProvider provider)`
Sets the support provider.